import { SvelteComponentTyped } from "svelte";
import type { SizeType } from '../types';
declare const __propDef: {
    props: import("svelte/elements").HTMLAnchorAttributes & {
        tag?: string | undefined;
        color?: "gray" | "red" | "yellow" | "green" | "indigo" | "purple" | "pink" | "blue" | "light" | "dark" | "default" | "dropdown" | "navbar" | "navbarUl" | "form" | "primary" | "orange" | "none" | undefined;
        rounded?: boolean | undefined;
        border?: boolean | undefined;
        shadow?: boolean | undefined;
        node?: HTMLElement | undefined;
        use?: import("svelte/action").Action<HTMLElement, any, Record<never, any>> | undefined;
        options?: object | undefined;
        class?: string | undefined;
        role?: string | undefined;
        open?: boolean | undefined;
        transition?: ((node: HTMLElement, params: any) => import("svelte/transition").TransitionConfig) | undefined;
        params?: any;
    } & {
        horizontal?: boolean | undefined;
        reverse?: boolean | undefined;
        img?: string | undefined;
        padding?: "none" | SizeType | undefined;
        size?: "none" | SizeType | undefined;
    };
    events: {
        click: MouseEvent;
        focusin: FocusEvent;
        focusout: FocusEvent;
        mouseenter: MouseEvent;
        mouseleave: MouseEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type CardProps = typeof __propDef.props;
export type CardEvents = typeof __propDef.events;
export type CardSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let href: string | null | undefined = undefined;
 * @prop export let horizontal: boolean = false;
 * @prop export let reverse: boolean = false;
 * @prop export let img: string | undefined = undefined;
 * @prop export let padding: SizeType | 'none' = 'lg';
 * @prop export let size: SizeType | 'none' = 'sm';
 * @prop export let imgClass: string = '';
 */
export default class Card extends SvelteComponentTyped<CardProps, CardEvents, CardSlots> {
}
export {};
