import { SvelteComponentTyped } from "svelte";
import type { BlockQuoteType } from '../types';
declare const __propDef: {
    props: {
        [x: string]: any;
        border?: boolean | undefined;
        italic?: boolean | undefined;
        borderClass?: string | undefined;
        bgClass?: string | undefined;
        bg?: boolean | undefined;
        baseClass?: string | undefined;
        alignment?: "center" | "left" | "right" | undefined;
        size?: BlockQuoteType | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type BlockquoteProps = typeof __propDef.props;
export type BlockquoteEvents = typeof __propDef.events;
export type BlockquoteSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let border: boolean = false;
 * @prop export let italic: boolean = true;
 * @prop export let borderClass: string = 'border-s-4 border-gray-300 dark:border-gray-500';
 * @prop export let bgClass: string = 'bg-gray-50 dark:bg-gray-800';
 * @prop export let bg: boolean = false;
 * @prop export let baseClass: string = 'font-semibold text-gray-900 dark:text-white';
 * @prop export let alignment: 'left' | 'center' | 'right' = 'left';
 * @prop export let size: BlockQuoteType = 'lg';
 */
export default class Blockquote extends SvelteComponentTyped<BlockquoteProps, BlockquoteEvents, BlockquoteSlots> {
}
export {};
